## com.sun.jersey.core.spi.scanning.uri
Class BundleSchemeScanner

    java.lang.Object
      com.sun.jersey.core.spi.scanning.uri.BundleSchemeScanner

All Implemented Interfaces:
  UriSchemeScanner

    public class BundleSchemeScanner

extends java.lang.Object
implements UriSchemeScanner

Author:
  Jakub.Podlesak@Sun.COM

Constructor Summary
`BundleSchemeScanner()`

Method Summary
`java.util.Set<java.lang.String>` | `getSchemes()` Get the set of supported URI schemes.
`void` | `scan(java.net.URI u, ScannerListener sl)` Perform a scan and report resources to a scanning listener.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BundleSchemeScanner

    public BundleSchemeScanner()

Method Detail

### getSchemes

    public java.util.Set<java.lang.String> getSchemes()

  Description copied from interface: `UriSchemeScanner`
  Get the set of supported URI schemes.

  Specified by:
    `getSchemes` in interface `UriSchemeScanner`
  Returns:
    the supported URI schemes.

### scan

    public void scan(java.net.URI u,
                     ScannerListener sl)
              throws ScannerException

  Description copied from interface: `UriSchemeScanner`
  Perform a scan and report resources to a scanning listener.

  Specified by:
    `scan` in interface `UriSchemeScanner`
  Parameters:
    `u` - the URI to scan for resources.
    `sl` - the scanning listener to report entries.
  Throws:
    `ScannerException` - if an error occured while scanning.

Copyright © 2017 Oracle Corporation. All Rights Reserved.